For the complete documentation index, see llms.txt. This page is also available as Markdown.

List contacts

Get a list of contacts, optionally filtered by group and subscription status.

Deprecated

List contacts

get

Get a list of contacts, optionally filtered by group and subscription status.

This endpoint returns a paginated list of contacts with their basic information. You can filter contacts by group UUID and subscription status.

Deprecated. This endpoint cannot target a profile, so it always falls back to the client's default profile and cannot list contacts of any other profile. Use GET /api/reach/v1/profiles/{profileUuid}/contacts instead, which also replaces the group filter with a tag filter.

Authorizations
AuthorizationstringRequired

API Token authentication

Query parameters
group_uuidstringOptional

Filter contacts by group UUID

Example: 550e8400-e29b-41d4-a716-446655440000
subscription_statusstring · enumOptional

Filter contacts by subscription status

Example: subscribedPossible values:
pageintegerOptional

Page number

Example: 1
Responses
200

Success response

application/json
get/api/reach/v1/contacts
GET /api/reach/v1/contacts HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "uuid": "550e8400-e29b-41d4-a716-446655440000",
      "name": "John",
      "surname": "Doe",
      "email": "john.doe@example.com",
      "subscription_status": "subscribed",
      "subscribed_at": "2023-01-01T00:00:00Z",
      "source": "sync",
      "note": "VIP customer"
    }
  ],
  "meta": {
    "current_page": 1,
    "per_page": 15,
    "total": 100
  }
}

Last updated

Was this helpful?